Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class DataPartitionFederatedScheme.Result

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionFederatedScheme.Result

Enclosing class:
  DataPartitionFederatedScheme

public static final class DataPartitionFederatedScheme.Result extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final DataPartitionFederatedScheme.BalanceMetrics`
`_balanceMetrics`
`final List<MatrixObject>`
`_pFeatures`
`final List<MatrixObject>`
`_pLabels`
`final List<Double>`
`_weightingFactors`
`final int`
`_workerNum`

## Constructor Summary

Constructors
Constructor
Description
`Result(List<MatrixObject> pFeatures, List<MatrixObject> pLabels, int workerNum, DataPartitionFederatedScheme.BalanceMetrics balanceMetrics, List<Double> weightingFactors)`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### _pFeatures

public final List<MatrixObject> _pFeatures

### _pLabels

public final List<MatrixObject> _pLabels

### _workerNum

public final int _workerNum

### _balanceMetrics

public final DataPartitionFederatedScheme.BalanceMetrics _balanceMetrics

### _weightingFactors

public final List<Double> _weightingFactors

## Constructor Details

### Result

public Result(List<MatrixObject> pFeatures, List<MatrixObject> pLabels, int workerNum, DataPartitionFederatedScheme.BalanceMetrics balanceMetrics, List<Double> weightingFactors)